List video IDs from a YouTube channel
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/channel/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/channel/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/channel/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"videoIds": [
"<string>"
],
"shortIds": [
"<string>"
],
"liveIds": [
"<string>"
]
}API Reference
List video IDs from a YouTube channel
GET
/
v1
/
youtube
/
channel
/
videos
List video IDs from a YouTube channel
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/channel/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/channel/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/channel/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"videoIds": [
"<string>"
],
"shortIds": [
"<string>"
],
"liveIds": [
"<string>"
]
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Channel ID
Video type filter
Available options:
all, video, short, live Max results (1-1000)
Required range:
1 <= x <= 1000